Extending Qt Creator Manual | DeploymentData

Extending Qt Creator Manual 4.5.2

# DeploymentData Class

(ProjectExplorer::DeploymentData)

- List of all members, including inherited members

## Public Functions

void | addFile(const DeployableFile &file)
void | addFile(const QString &localFilePath, const QString &remoteDirectory, DeployableFile::Type type = DeployableFile::TypeNormal)
QList<DeployableFile> | allFiles() const
DeployableFile | deployableForLocalFile(const QString &localFilePath) const
DeployableFile | fileAt(int index) const
int | fileCount() const
void | setFileList(const QList<DeployableFile> &files)
bool | operator==(const DeploymentData &other) const

## Member Function Documentation

### void DeploymentData::addFile(const DeployableFile &file)

### void DeploymentData::addFile(const QString &localFilePath, const QString &remoteDirectory, DeployableFile::Type type = DeployableFile::TypeNormal)

### QList<DeployableFile> DeploymentData::allFiles() const

### DeployableFile DeploymentData::deployableForLocalFile(const QString &localFilePath) const

### DeployableFile DeploymentData::fileAt(int index) const

### int DeploymentData::fileCount() const

### void DeploymentData::setFileList(const QList<DeployableFile> &files)

### bool DeploymentData::operator==(const DeploymentData &other) const